Package com.databricks.jdbc.commons.util

## Class LoggingUtil

- java.lang.Object
- - com.databricks.jdbc.commons.util.LoggingUtil

    public class LoggingUtil
    extends Object

### Constructor Summary

Constructors
`LoggingUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `log​(LogLevel level, String message)`
`static void` `log​(LogLevel level, String message, String classContext)`
`static void` `setupLogger​(String filePath, int logFileSize, int logFileCount, LogLevel level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggingUtil

    public LoggingUtil()

### Method Detail

#### setupLogger

    public static void setupLogger​(String filePath,
                                   int logFileSize,
                                   int logFileCount,
                                   LogLevel level)

#### log

    public static void log​(LogLevel level,
                           String message,
                           String classContext)

#### log

    public static void log​(LogLevel level,
                           String message)